Package net.snowflake.client.api.pooling

## Interface SnowflakeConnectionPoolDataSource

All Superinterfaces:
  `CommonDataSource`, `ConnectionPoolDataSource`, `DataSource`, `SnowflakeDataSource`, `Wrapper`

    public interface SnowflakeConnectionPoolDataSource
    extends ConnectionPoolDataSource, SnowflakeDataSource

SnowflakeConnectionPoolDataSource is the interface for a connection pool data source. Its implementation is instantiated by `SnowflakeConnectionPoolDataSourceFactory`.

### Method Summary

### Methods inherited from interface javax.sql.CommonDataSource

`createShardingKeyBuilder, getParentLogger`

### Methods inherited from interface javax.sql.ConnectionPoolDataSource

`createPooledConnectionBuilder, getLoginTimeout, getLogWriter, getPooledConnection, getPooledConnection, setLoginTimeout, setLogWriter`

### Methods inherited from interface javax.sql.DataSource

`createConnectionBuilder, getConnection, getConnection, getLoginTimeout, getLogWriter, setLoginTimeout, setLogWriter`

### Methods inherited from interface net.snowflake.client.api.datasource.SnowflakeDataSource

`getProperties, getUrl, setAccount, setAllowUnderscoresInHost, setApplication, setArrowTreatDecimalAsInt, setAuthenticator, setBrowserResponseTimeout, setClientConfigFile, setDatabaseName, setDiagnosticsAllowlistFile, setDisableGcsDefaultCredentials, setDisableSamlURLCheck, setDisableSocksProxy, setEnableClientRequestMfaToken, setEnableClientStoreTemporaryCredential, setEnableDiagnostics, setEnablePatternSearch, setEnablePutGet, setGetDateUseNullTimezone, setHttpHeadersCustomizers, setJDBCDefaultFormatDateWithTimezone, setMaxHttpRetries, setNetworkTimeout, setNonProxyHosts, setOcspFailOpen, setPasscode, setPasscodeInPassword, setPassword, setPortNumber, setPrivateKey, setPrivateKeyBase64, setPrivateKeyFile, setProxyHost, setProxyPassword, setProxyPort, setProxyProtocol, setProxyUser, setPutGetMaxRetries, setQueryTimeout, setRole, setSchema, setServerName, setSsl, setStringsQuotedForColumnDef, setToken, setTracing, setUrl, setUseProxy, setUser, setWarehouse`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`